Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/entities/metrics.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/entities/metrics.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/entities/metrics.ts	(revision 45390)
@@ -1,5 +1,5 @@
 export class Metrics {
     totalDownloads: string;
     totalViews: string;
-    infos: Map<string, {"url": string, "numOfDownloads": string, "numOfViews": string}>;
+    infos: Map<string, {"name": string, "url": string, "numOfDownloads": string, "numOfViews": string}>;
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 45390)
@@ -36,7 +36,7 @@
 
 
     // private static searchAPIURL = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
-     private static searchAPIURLLAst = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
+    private static searchAPIURLLAst = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
     // private searchAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2.0/api/";
     // private static searchAPIURL     = "http://scoobydoo.di.uoa.gr:8181/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
@@ -43,10 +43,13 @@
     // private static searchAPIURLLAst     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
     //private static searchAPIURLLAst     = "http://scoobydoo.di.uoa.gr:8181/dnet-functionality-services-2.0.0-SNAPSHOT-new/rest/v2/api/";
+    //private static searchAPIURLLAst = "http://scoobydoo.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
     // private static searchResourcesAPIURL     = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/resources";
-    private static searchResourcesAPIURL     = "http://scoobydoo.di.uoa.gr:8181/dnet-functionality-services-2.0.0-SNAPSHOT-new/rest/v2/api/resources";
+    //private static searchResourcesAPIURL     = "http://scoobydoo.di.uoa.gr:8181/dnet-functionality-services-2.0.0-SNAPSHOT-new/rest/v2/api/resources";
+    private static searchResourcesAPIURL     = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/resources";
 
+
     //private static searchServiveURL     = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/";
     private static searchServiveURL  = "http://scoobydoo.di.uoa.gr:8181/dnet-functionality-services-2.0.0-SNAPSHOT/";
     // private static searchServiveURL  = "http://services.openaire.eu:8380/search/";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/showDataProviders.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/showDataProviders.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/showDataProviders.component.ts	(revision 45390)
@@ -15,7 +15,7 @@
 
             <div role="separator" class="divider" *ngFor="let item of dataProviders">
                 <p *ngIf="item['url'] != undefined && item['url']">
-                    <a href="{{item['url']}}" target="_blank">
+                    <a href="{{item['url']}}" target="_blank" class="uk-icon-external-link">
                         {{item['name']}}
                     </a>
                 </p>
@@ -25,7 +25,7 @@
 
                 <p>
                     <span *ngFor="let item of dataProviders.organizations">
-                        <a *ngIf="item['url']!=''" href="{{item['url']}}" target="_blank">
+                        <a *ngIf="item['url']!=''" href="{{item['url']}}" target="_blank" class="uk-icon-external-link">
                             {{item['name']}}
                         </a>
                         <p *ngIf="item['url']==''">
@@ -41,7 +41,7 @@
 
                 <p *ngIf="item['websiteUrl'] != null && item['websiteUrl'] != ''">
                     Website URL:
-                    <a href="{{item['websiteUrl']}}" target="_blank">
+                    <a href="{{item['websiteUrl']}}" target="_blank" class="uk-icon-external-link" >
                         {{item['websiteUrl']}}
                     </a>
                 </p>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/organization.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/organization.service.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/organization.service.ts	(revision 45390)
@@ -34,7 +34,7 @@
 
 
     }
-
+/*
     getMetrics (id: string):any {
         console.info("getOrganizationMetrics in service");
         //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
@@ -50,7 +50,7 @@
                       this._cache.set(key, res);
                     });
     }
-
+*/
     private handleError (error: Response) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showSubjects.component.ts	(revision 45390)
@@ -29,26 +29,23 @@
                 </div>
             </dd>
 
-            <dd class="uk-grid"
-                *ngIf="classifiedSubjects != undefined && classifiedSubjects.size > 0">
-                <div uk-push-4-5>
-                    <a (click)="showClassifiedSbj = !showClassifiedSbj;">
-                        <div *ngIf="!showClassifiedSbj">
-                            Show additional classifications
-                          <i class="uk-icon-plus"></i>
-                        </div>
-                        <div *ngIf="showClassifiedSbj">
-                            Hide additional classifications
-                            <i class="uk-icon-minus"></i>
-                        </div>
-                    </a>
+            <dd *ngIf="classifiedSubjects != undefined && classifiedSubjects.size > 0">
+                <a (click)="showClassifiedSbj = !showClassifiedSbj;">
+                    <div *ngIf="!showClassifiedSbj">
+                        Show additional classifications
+                      <i class="uk-icon-plus"></i>
+                    </div>
+                    <div *ngIf="showClassifiedSbj">
+                        Hide additional classifications
+                        <i class="uk-icon-minus"></i>
+                    </div>
+                </a>
 
-                    <div class="uk-block" *ngIf="showClassifiedSbj">
-                        <div *ngFor="let key of classifiedSubjects.keys()">
-                            Classified by OpenAIRE into
-                            <div>
-                                {{key}}: {{classifiedSubjects.get(key)}}
-                            </div>
+                <div class="uk-panel uk-panel-box" *ngIf="showClassifiedSbj">
+                    <div *ngFor="let key of classifiedSubjects.keys()">
+                        Classified by OpenAIRE into
+                        <div>
+                            {{key}}: {{classifiedSubjects.get(key)}}
                         </div>
                     </div>
                 </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showAuthors.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showAuthors.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showAuthors.component.ts	(revision 45390)
@@ -8,7 +8,7 @@
                 <a class="uk-text-muted" (click)="showAll = !showAll;">View less authors</a>
             </div>
             <span *ngFor="let item of authors.slice(0,30)">
-                <a class="custom-external" href="{{item['url']}}" target="_blank">
+                <a href="{{item['url']}}">
                     {{item['name']}};
                 </a>
             </span>
@@ -15,7 +15,7 @@
             <span *ngIf="!showAll && authors.length > 30">	... </span>
             <span *ngIf="showAll">
                 <span *ngFor="let item of authors.slice(30)">
-                    <a class="custom-external" href="{{item['url']}}" target="_blank">
+                    <a href="{{item['url']}}">
                         {{item['name']}};
                     </a>
                 </span>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing.module.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing.module.ts	(revision 45390)
@@ -1,4 +1,4 @@
-
+//import {MaterialModule} from '@angular/material';
 import { NgModule}            from '@angular/core';
 import { CommonModule }        from '@angular/common';
 import { FormsModule }         from '@angular/forms';
@@ -15,6 +15,7 @@
 import {ShowAuthorsComponent} from './showAuthors.component';
 import {ShowIdentifiersComponent} from './showIdentifiers.component';
 import {ShowSubjectsComponent} from './showSubjects.component';
+import {MetricsComponent} from './metrics.component';
 
 import {PublicationsTabComponent} from './dataProvider/publicationsTab.component';
 import {DatasetsTabComponent} from './dataProvider/datasetsTab.component';
@@ -25,7 +26,6 @@
 import {RelatedDatasourcesTabComponent} from './dataProvider/relatedDatasourcesTab.component';
 import {TabsComponent} from './dataProvider/tabs.component';
 
-
 import {DataProviderComponent} from './dataProvider/dataProvider.component';
 import { PersonComponent } from './person/person.component';
 import { ProjectComponent } from './project/project.component';
@@ -37,6 +37,7 @@
 
 @NgModule({
   imports: [
+    //MaterialModule.forRoot(),
     CommonModule, FormsModule,
     UtilsModule,
     ClaimModule,
@@ -46,7 +47,7 @@
 
   ],
   declarations: [
-    TabPagingComponent, TabTableComponent, ShowTitleComponent, ShowAuthorsComponent,ShowIdentifiersComponent,ShowSubjectsComponent,
+    TabPagingComponent, TabTableComponent, ShowTitleComponent, ShowAuthorsComponent,ShowIdentifiersComponent,ShowSubjectsComponent, MetricsComponent,
     PublicationsTabComponent, DatasetsTabComponent, StatisticsTabComponent, ProjectsTabComponent, DatasourcesTabComponent, OrganizationsTabComponent, RelatedDatasourcesTabComponent, TabsComponent,
     DataProviderComponent, PersonComponent, ProjectComponent, PublicationComponent, OrganizationComponent, DatasetComponent,
   ],
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 45390)
@@ -2,7 +2,6 @@
 import {Observable}       from 'rxjs/Observable';
 import {DatasetService} from '../../services/dataset.service';
 import {DatasetInfo} from '../../utils/entities/datasetInfo';
-import {Metrics} from '../../utils/entities/metrics';
 import {ActivatedRoute} from '@angular/router';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties'
 import {InlineClaimContextComponent} from '../../claimPages/inlineClaims/inlineClaimContext.component';
@@ -28,11 +27,10 @@
         }
       });
 
+      this.metricsClicked = false;
     }
 
     public datasetInfo: DatasetInfo;
-    private metrics: Metrics;
-
     private showStyle: boolean = false;
     private showAllReferences: boolean = false;
     private showAllRelResData: boolean = false;
@@ -40,8 +38,8 @@
     private showAllBioentities: boolean = false;
     private datasetId : string ;
     private result ;
+    private metricsClicked: boolean;
 
-
     @ViewChild (InlineClaimProjectComponent) inlineClaimProject : InlineClaimProjectComponent ;
     @ViewChild (InlineClaimContextComponent) inlineClaimContext : InlineClaimContextComponent ;
     @ViewChild (InlineClaimResultComponent) inlineClaimResult : InlineClaimResultComponent ;
@@ -74,18 +72,6 @@
 
     }
 
-    getMetrics() {
-        console.info("getDatasetMetrics: component");
-        this._datasetService.getMetrics(this.datasetId).subscribe(
-         data => {
-             this.metrics = data;
-         },
-         err => {
-           console.log(err);
-         }
-       );
-    }
-
     /********** Methods for Inline Claim  of project / dataset ******/
     toggleClaimProject(){
         this.inlineClaimProject.toggle();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showIdentifiers.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showIdentifiers.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showIdentifiers.component.ts	(revision 45390)
@@ -10,12 +10,14 @@
                 <span *ngFor="let key of identifiers.keys() let i=index">
                     <span *ngFor="let item of identifiers.get(key) let j=index">
                         <span *ngIf="i>0 || j>0">, </span>
-                        <a *ngIf="key=='doi'" class="custom-external" href="{{doiURL}}{{item}}" target="_blank">
-                            {{key}}: {{item}}
-                        </a>
-                        <a *ngIf="key=='pmc'" class="custom-external" href="{{pmcURL}}{{item}}" target="_blank">
-                            {{key}}: {{item}}
-                        </a>
+                        <span class="uk-icon-external-link">
+                            <a *ngIf="key=='doi'" href="{{doiURL}}{{item}}" target="_blank">
+                                {{key}}: {{item}}
+                            </a>
+                            <a *ngIf="key=='pmc'" href="{{pmcURL}}{{item}}" target="_blank">
+                                {{key}}: {{item}}
+                            </a>
+                        </span>
                     </span>
                 </span>
             </dd>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showTitle.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showTitle.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/showTitle.component.ts	(revision 45390)
@@ -5,14 +5,14 @@
     selector: 'showTitle',
     template: `
         <h2 *ngIf="title != undefined" [class] = "title['accessMode']" data-uk-tooltip [title]="title['accessMode']" >
-            <div *ngIf="title['url'] != undefined">
-                <a class="custom-external" href="{{title['url']}}" target="_blank">
-                    <div [innerHTML]="title['name']"></div>
+            <span *ngIf="title['url'] != undefined && title['url'] != null" class="uk-icon-external-link">
+                <a href="{{title['url']}}" target="_blank"
+                    [innerHTML]="title['name']">
                 </a>
-            </div>
-            <div *ngIf="title['url'] == undefined">
-                <div [innerHTML]="title['name']"></div>
-            </div>
+            </span>
+            <span *ngIf="title['url'] == undefined || title['url'] == null"
+                [innerHTML]="title['name']">
+            </span>
         </h2>
     `
 
@@ -26,5 +26,8 @@
     }
 
     ngOnInit() {
+        if(this.title['accessMode'] == undefined) {
+            this.title['accessMode'] = "";
+        }
     }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/project.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/project.service.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/project.service.ts	(revision 45390)
@@ -36,22 +36,6 @@
 
     }
 
-    getMetrics (id: string):any {
-        console.info("getProjectsMetrics in service");
-        //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
-        let url = OpenaireProperties.getMetricsAPIURL()+"projects/"+id+"/clicks";
-        let key = url;
-        if (this._cache.has(key)) {
-          return Observable.of(this._cache.get(key));
-        }
-        return this.http.get(url)
-                    .map(res => <any> res.json())
-                    .map(res => res['views'])
-                    .do(res => {
-                      this._cache.set(key, res);
-                    });
-    }
-
     /*
     get project strtDate and endDate
     */
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/metrics.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/metrics.service.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/metrics.service.ts	(revision 45390)
@@ -0,0 +1,77 @@
+import {Injectable} from '@angular/core';
+import {Http, Response} from '@angular/http';
+import {Observable}     from 'rxjs/Observable';
+import {Metrics} from '../utils/entities/metrics';
+import {OpenaireProperties} from '../utils/properties/openaireProperties';
+import 'rxjs/add/operator/do';
+import { CacheService  } from '../shared/cache.service';
+@Injectable()
+export class MetricsService {
+    metrics: Metrics;
+
+    constructor(private http: Http, public _cache: CacheService) {}
+
+    getMetrics (id: string, entity: string):any {
+        console.info("getPublicationViews in service");
+        //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
+        let url = OpenaireProperties.getMetricsAPIURL()+entity+"/"+id+"/clicks";
+        let key = url;
+        if (this._cache.has(key)) {
+          return Observable.of(this._cache.get(key));
+        }
+        return this.http.get(url)
+                    .map(res => <any> res.json())
+                    .map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"]))
+                    .do(res => {
+                      this._cache.set(key, res);
+                    });
+    }
+
+
+    parseMetrics(downloads: string, views: string, totalDownloads: any, totalViews: any): any {
+
+        this.metrics = new Metrics();
+
+        this.metrics.totalDownloads = totalDownloads;
+        this.metrics.totalViews = totalViews;
+
+        this.metrics.infos = new Map<string, {"name": string, "url": string, "numOfDownloads": string, "numOfViews": string}>();
+
+        for(let i=0; i<downloads.length; i++) {
+            let id: string = downloads[i]['datasource_id'];
+            if(this.metrics.infos.has(id)) {
+                this.metrics.infos.get(id).numOfDownloads = downloads[i]['value'];
+            } else {
+                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
+                info = {};
+
+                info.name = downloads[i]['datasource_name'];
+                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
+                info.numOfDownloads = downloads[i]['value'];
+                info.numOfViews = "0";
+
+                this.metrics.infos.set(id, info);
+            }
+        }
+
+        for(let i=0; i<views.length; i++) {
+            let id: string = views[i]['datasource_id'];
+            if(this.metrics.infos.has(id)) {
+                this.metrics.infos.get(id).numOfViews = views[i]['value'];
+            } else {
+                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
+                info = {};
+
+                info.name = views[i]['datasource_name'];
+                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
+                info.numOfDownloads = "0";
+                info.numOfViews = views[i]['value'];
+
+                this.metrics.infos.set(id, info);
+            }
+        }
+        console.info(this.metrics.infos.size);
+
+        return this.metrics;
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/services.module.ts	(revision 45390)
@@ -12,6 +12,7 @@
 import { PersonService} from './person.service';
 import { ProjectService} from './project.service';
 import { PublicationService} from './publication.service';
+import { MetricsService } from './metrics.service';
 import { SearchCrossrefService } from './searchCrossref.service';
 import { SearchDataciteService } from './searchDatacite.service';
 import { SearchOrcidService } from './searchOrcid.service';
@@ -38,11 +39,11 @@
   ],
   providers:[
     ContextsService, DatasetService, OpenaireProjectsService,OrganizationService,
-    PersonService, ProjectService, PublicationService, SearchCrossrefService,
-    SearchCrossrefService, SearchDataciteService, SearchOrcidService,
-    SearchPublicationsService, SearchDataprovidersService, DataProviderService,
-    SearchProjectsService, SearchDatasetsService, SearchOrganizationsService,
-    SearchPeopleService, ISVocabulariesService,
+    PersonService, ProjectService, PublicationService, MetricsService,
+    SearchCrossrefService, SearchCrossrefService, SearchDataciteService,
+    SearchOrcidService, SearchPublicationsService, SearchDataprovidersService,
+    DataProviderService, SearchProjectsService, SearchDatasetsService,
+    SearchOrganizationsService, SearchPeopleService, ISVocabulariesService,
     RefineFieldResultsService,
     EntitiesSearchService,
     LoginService
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/publication.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/publication.service.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/publication.service.ts	(revision 45390)
@@ -2,7 +2,6 @@
 import {Http, Response} from '@angular/http';
 import {Observable}     from 'rxjs/Observable';
 import {PublicationInfo} from '../utils/entities/publicationInfo';
-import {Metrics} from '../utils/entities/metrics';
 import {OpenaireProperties} from '../utils/properties/openaireProperties';
 import 'rxjs/add/observable/of';
 import 'rxjs/add/operator/do';
@@ -14,7 +13,6 @@
     constructor(private http: Http, public _cache: CacheService) {}
 
     publicationInfo: PublicationInfo;
-    metrics: Metrics;
 
     getPublicationInfo (id: string):any {
         console.info("getPublicationInfo in service");
@@ -45,22 +43,6 @@
                     .map(res => this.parsePublicationInfo(res));
     }
 
-    getMetrics (id: string):any {
-        console.info("getPublicationViews in service");
-        //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
-        let url = OpenaireProperties.getMetricsAPIURL()+"results/"+id+"/clicks";
-        let key = url;
-        if (this._cache.has(key)) {
-          return Observable.of(this._cache.get(key));
-        }
-        return this.http.get(url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"]))
-                    .do(res => {
-                      this._cache.set(key, res);
-                    });
-    }
-
     private handleError (error: Response) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
@@ -68,50 +50,6 @@
         return Observable.throw(error  || 'Server error');
     }
 
-    parseMetrics(downloads: string, views: string, totalDownloads: any, totalViews: any): any {
-
-        this.metrics = new Metrics();
-
-        this.metrics.totalDownloads = totalDownloads;
-        this.metrics.totalViews = totalViews;
-
-        this.metrics.infos = new Map<string, {"url": string, "numOfDownloads": string, "numOfViews": string}>();
-
-        for(let i=0; i<downloads.length; i++) {
-            let id: string = downloads[i]['datasource_id'];
-            if(this.metrics.infos.has(id)) {
-                this.metrics.infos.get(id).numOfDownloads = downloads[i]['value'];
-            } else {
-                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
-                info = {};
-
-                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
-                info.numOfDownloads = downloads[i]['value'];
-                info.numOfViews = "0";
-
-                this.metrics.infos.set(id, info);
-            }
-        }
-
-        for(let i=0; i<views.length; i++) {
-            let id: string = views[i]['datasource_id'];
-            if(this.metrics.infos.has(id)) {
-                this.metrics.infos.get(id).numOfViews = views[i]['value'];
-            } else {
-                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
-                info = {};
-
-                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
-                info.numOfDownloads = "0";
-                info.numOfViews = views[i]['value'];
-
-                this.metrics.infos.set(id, info);
-            }
-        }
-
-        return this.metrics;
-    }
-
     parsePublicationInfo (data: any):any {
         this.publicationInfo = new PublicationInfo();
 
@@ -336,26 +274,28 @@
                                     } else {
                                         key = data[0]['source'];
                                     }
-                                    if(!this.publicationInfo.publishedIn.has(key)) {
-                                        this.publicationInfo.publishedIn.set(key, {"url": null, "accessMode": null});
-                                    }
+                                    if(key != "") {
+                                        if(!this.publicationInfo.publishedIn.has(key)) {
+                                            this.publicationInfo.publishedIn.set(key, {"url": null, "accessMode": null});
+                                        }
 
-                                    if(this.publicationInfo.publishedIn.get(key)['url'] == null) {
-                                        this.publicationInfo.publishedIn.get(key)['url'] = new Array<string>();
-                                    }
+                                        if(this.publicationInfo.publishedIn.get(key)['url'] == null) {
+                                            this.publicationInfo.publishedIn.get(key)['url'] = new Array<string>();
+                                        }
 
-                                    this.publicationInfo.publishedIn.get(key)['url'].push(url);
+                                        this.publicationInfo.publishedIn.get(key)['url'].push(url);
 
-                                    if(this.publicationInfo.publishedIn.get(key)['accessMode'] == null) {
-                                        this.publicationInfo.publishedIn.get(key)['accessMode'] = new Array<string>();
-                                    }
+                                        if(this.publicationInfo.publishedIn.get(key)['accessMode'] == null) {
+                                            this.publicationInfo.publishedIn.get(key)['accessMode'] = new Array<string>();
+                                        }
 
-                                    if(instance.hasOwnProperty("licence")) {
-                                        this.publicationInfo.publishedIn.get(key)['accessMode'].push(instance['licence'].classid);
-                                    } else {
-                                        this.publicationInfo.publishedIn.get(key)['accessMode'].push("");
+                                        if(instance.hasOwnProperty("licence")) {
+                                            this.publicationInfo.publishedIn.get(key)['accessMode'].push(instance['licence'].classid);
+                                        } else {
+                                            this.publicationInfo.publishedIn.get(key)['accessMode'].push("");
+                                        }
+                                        counter1++;
                                     }
-                                    counter1++;
                                 }
                             }
                             if(this.publicationInfo.title != undefined) {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/dataProvider.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/dataProvider.service.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/dataProvider.service.ts	(revision 45390)
@@ -37,22 +37,6 @@
 
     }
 
-    getMetrics (id: string):any {
-        console.info("getDataproviderMetrics in service");
-        //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
-        let url = OpenaireProperties.getMetricsAPIURL()+"datasources/"+id+"/clicks";
-        let key = url;
-        if (this._cache.has(key)) {
-          return Observable.of(this._cache.get(key));
-        }
-        return this.http.get(url)
-                    .map(res => <any> res.json())
-                    .map(res => res['views'])
-                    .do(res => {
-                      this._cache.set(key, res);
-                    });
-    }
-
     private handleError (error: Response) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
